// tprocsubstDlg.cpp : implementation file
//

#include "stdafx.h"
#include "tprocsubst.h"
#include "tprocsubstDlg.h"
#include ".\tprocsubstdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CtprocsubstDlg dialog



CtprocsubstDlg::CtprocsubstDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CtprocsubstDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CtprocsubstDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    DDX_Control(pDX, IDC_EDIT1, m_ed);
}

BEGIN_MESSAGE_MAP(CtprocsubstDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
    ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
END_MESSAGE_MAP()


// CtprocsubstDlg message handlers

BOOL CtprocsubstDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CtprocsubstDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CtprocsubstDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

typedef void (CALLBACK *LPFN_PICKERFUNC)(HWND , LPCTSTR );
void PickBugIds(HWND hWndBugID, LPCTSTR szUrlGetIssues)
{
    CString err;
	HMODULE hLib=LoadLibrary(_T("rss_read.dll"));
	if(hLib)
	{
		LPFN_PICKERFUNC func_Picker;
		func_Picker = (LPFN_PICKERFUNC)GetProcAddress(hLib, "PickBugIDs");
		if(func_Picker) func_Picker(hWndBugID, szUrlGetIssues);
            else err = _T("PickBugIDs function not found in rss_read.dll");
		::FreeLibrary(hLib); 
	} else err = _T("rss_read.dll not found");
    if(err.GetLength()) AfxMessageBox(err, MB_ICONSTOP);
}


void CtprocsubstDlg::OnBnClickedButton1()
{
    // TODO: Add your control notification handler code here
    PickBugIds(m_ed.m_hWnd, _T("http://jira.atlassian.com/secure/IssueNavigator.jspa?view=rss&&tempMax=25&reset=true&decorator=none"));
}
